Reserve an available arbitrator
curl --request POST \
--url https://roster.platform.arb.inc/arbitrators/reserve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00292"
}
'import requests
url = "https://roster.platform.arb.inc/arbitrators/reserve"
payload = { "caseID": "2025-08-00292" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({caseID: '2025-08-00292'})
};
fetch('https://roster.platform.arb.inc/arbitrators/reserve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reservationID": "2720f109-0caf-4c62-af22-5d08c853711c",
"userID": "3a91c8f2-1d4e-4b7a-9c2e-5f6d8e9a0b1c",
"organizationID": "4b82d9f3-2e5f-4c8b-0d3f-6g7e9f0a1c2d",
"expires": "2025-08-15T10:30:00.000Z"
}"arbitrator already assigned to this case""no arbitrators are available"arbitrators
Reserve an available arbitrator
Reserves an available arbitrator for a case, creating a temporary hold that will expire if not confirmed. The system automatically selects an arbitrator from the available pool. Requires roster.arbitrators.assigner permission.
POST
/
arbitrators
/
reserve
Reserve an available arbitrator
Authorizations
access token
Body
application/json
Unique identifier of the case requiring an arbitrator
Required string length:
1 - 50Example:
"2025-08-00292"
Response
Successfully reserved an arbitrator
Unique identifier of the reservation
Example:
"2720f109-0caf-4c62-af22-5d08c853711c"
UUID of the arbitrator user
Example:
"3a91c8f2-1d4e-4b7a-9c2e-5f6d8e9a0b1c"
UUID of the arbitrator's organization, null if none
Example:
"4b82d9f3-2e5f-4c8b-0d3f-6g7e9f0a1c2d"
Time when the reservation will expire if not confirmed
Example:
"2025-08-15T10:30:00.000Z"